Bug 432195 - Review Request: disk-manager - Disk manager is a simple filesystem configurator
Review Request: disk-manager - Disk manager is a simple filesystem configurator
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-09 12:42 EST by Jakub 'Livio' Rusinek
Modified: 2008-08-03 15:03 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-29 03:50:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jakub 'Livio' Rusinek 2008-02-09 12:42:42 EST
Spec URL: http://liviopl.fedorapeople.org/disk-manager/disk-manager.spec
SRPM URL: http://liviopl.fedorapeople.org/disk-manager/disk-manager-latest.src.rpm
Description: Disk manager is a simple filesystem configurator that allows you to:
	* automatically detect new partitions at startup;
	* fully manage configuration of filesystem;
	* Enable/disable write support for NTFS.
Comment 1 manuel wolfshant 2008-02-09 19:06:08 EST
Please note that according to the headers of the files available at
http://codebrowse.launchpad.net/~givre/disk-manager/trunk/files/flomertens%40gmail.com-20070716195847-5f86mlx0ufug68fo?file_id=diskmanager-20070411132806-a0qdn4eststnd1g7-1,
the correct license is GPLv2+ (despite a couple of files being LGPL)
Comment 2 Jakub 'Livio' Rusinek 2008-02-10 02:35:08 EST
So, "GPLv2+ or LGPL" or "GPLv2+" should be in license tag?
Comment 3 Julian Sikorski 2008-02-10 04:45:19 EST
GPLv2+ and LGPL (with appropriate version). Then put a comment explaining which
files are under LGPL.
Comment 5 manuel wolfshant 2008-02-10 07:14:43 EST
There seems to be a small error in the file list. My mock build failed with:

Checking for unpackaged file(s): /usr/lib/rpm/check-files
/var/tmp/disk-manager-1.0.1-2.fc9-root-mockbuild


RPM build errors:
    File not found by glob:
/var/tmp/disk-manager-1.0.1-2.fc9-root-mockbuild/etc/pam.d/*
    File not found by glob:
/var/tmp/disk-manager-1.0.1-2.fc9-root-mockbuild/etc/security/console.apps/*
EXCEPTION: Command failed. See logs for output.
 # bash -l -c 'rpmbuild -bb --target x86_64 --nodeps
//builddir/build/SPECS/disk-manager.spec'
Traceback (most recent call last):
  File "/usr/lib/python2.5/site-packages/mock/trace_decorator.py", line 70, in trace
    result = func(*args, **kw)
  File "/usr/lib/python2.5/site-packages/mock/util.py", line 286, in do
    raise mock.exception.Error, ("Command failed. See logs for output.\n # %s" %
(command,), ret)
Error: Command failed. See logs for output.
Comment 6 Jakub 'Livio' Rusinek 2008-02-10 09:03:22 EST
Give me the logs. I can't say what's wrong for you.
Comment 7 Mamoru TASAKA 2008-02-10 10:21:57 EST
Actually this does not build.
http://koji.fedoraproject.org/koji/taskinfo?taskID=411762

You can check if your srpm builds on koji by:
$ koji build --scratch <target> <srpm_you_want_to_try>
Currently <target> can be dist-f9, dist-f8-updates-candidate,
or dist-fc7-updates-candidate (and some special targets).
If the scratch build is successful, the rebuilt rpms and some logs are
put under:
http://koji.fedoraproject.org/scratch/<your_FAS_name>/task_<task_id>/
Comment 8 Jakub 'Livio' Rusinek 2008-02-10 10:55:19 EST
> There seems to be a small error in the file list.
It can't be an error, because disk-manager provides few files over there.

> checking for consolehelper... no
> checking for modprobe... no
> checking for mount... no
> checking for umount... no
> checking for blkid... no
> checking for dmsetup... no

Error... Missing dependency for usermode and... util-linux-ng, e2fsprogs,
device-mapper.

--

Spec URL: http://liviopl.fedorapeople.org/disk-manager/disk-manager.spec
SRPM URL: http://liviopl.fedorapeople.org/disk-manager/disk-manager-latest.src.rpm

Should work now.
Comment 9 manuel wolfshant 2008-02-10 16:46:17 EST
LGPLv2.1+ is not a correct value for the license tag; according to
http://fedoraproject.org/wiki/Licensing#head-19fc3ef10add085a28cb06784dc34ef8b05a9bd6
the correct value is LGPLv2+

The Categories tag from the desktop file should not contain Application any more
( see http://standards.freedesktop.org/menu-spec/latest/apa.html , referenced by
http://fedoraproject.org/wiki/Packaging/Guidelines#head-254ddf07aae20a23ced8cecc219d8f73926e9755)

Some minor issues: 
- there is no need to included util-linux-ng as BR because it is on the
exceptions list
(http://fedoraproject.org/wiki/Packaging/Guidelines#head-4cadce5e79d38a63cad3941de1dadc9d25d67d30-2)
- duplicate BR: perl(XML::Parser) is brought in by intltool and device-mapper by
e2fsprogs

Everything else seems OK at the first glance




Comment 11 Jakub 'Livio' Rusinek 2008-02-10 17:44:43 EST
I'm only not sure if I should use desktop-file-install for .desktop file in /etc.
Comment 12 Jakub 'Livio' Rusinek 2008-03-23 12:56:38 EDT
CANCEL
Comment 13 Jakub 'Livio' Rusinek 2008-03-24 08:52:25 EDT
Reopening, as I cancelled migrating to other distro.
Sorry for messing.
Comment 14 Parag AN(पराग) 2008-07-29 02:13:13 EDT
So exactly whats happening here? Is there any review request here or just
discussion happening?
Comment 15 Pavel Alexeev 2008-08-03 15:03:10 EDT
http://liviopl.fedorapeople.org/disk-manager/disk-manager.spec

is 404 error: Not Found.

Note You need to log in before you can comment on or make changes to this bug.